Subject: Re: WG Last Call for draft-ietf-zeroconf-ipv4-linklocal-02.txt

From: Stuart Cheshire <[email-masked]>
Date: Fri, 16 Mar 2001 14:39:55 -0800

>Hi!
>
>I'm a newcomer in this group. 
>I apologize for reraising this question if you have already discussed 
>about it.
>
>================================
>3.1 Example Illustrating Ambiguous Addressing
>
>        [ Cut off ]
>
>   By ensuring that all of a host's link-local addresses are distinct not
>   only from each other, but also from all addresses currently active on
>   all links that the host is connected to, we remove this ambiguity.
>
>==========================
>
>The specification is good, but the solution is not clear to me.
>
>Does it mean that a host with multiple links must do each address claiming 
>and collision detection process against all the links?
>
>If yes, how about adding this description in that paragraph?

If a host receives an ARP packet on an interface that's using a linklocal 
address, and the sender IP address in the ARP packet matches *any* of the 
host's current linklocal addresses, and the sender hardware address in 
the ARP packet matches *none* of the host's own interfaces, then this is 
a collision and must be handled as such.

(This is not a *requirement* of the protocol, but a recommendation for 
most implementers of multi-homed systems.)

I will change the wording to make sure this is clear.

Thanks for pointing this out.

Stuart Cheshire <[email-masked]>
 * Wizard Without Portfolio, Apple Computer
 * Chairman, IETF ZEROCONF
 * www.stuartcheshire.org